### Configurar makepkg

#### Definir PACKAGER

```console
$ sed -e 's|#PACKAGER="John Doe <john@doe.com>"|PACKAGER="Libre U. <user@email.domain>"|' -i /etc/makepkg.conf
```

#### Definir GPG-ID PACKAGER

```console
$ sed -e 's|#GPGKEY=""|GPGKEY="user-id"|' -i /etc/makepkg.conf
```

### Generar nuevas sumas

```console
$ updpkgsums
```

### Limpiar librechroot

```console
$ doas librechroot clean-repo
```

### Construir entornos:

```console
$ doas librechroot -A x86_64 -n x86_64 make
```

```console
$ doas librechroot -A i686 -n i686 make
```

#### Avanzado

```console
$ doas librechroot -C /etc/pacman.conf -M /usr/share/pacman/defaults/makepkg.conf.i686 -n i686 make
```

### Entrar a la Jaula

```console
$ doas librechroot -n x86_64 enter
```

```console
$ doas librechroot -n i686 enter
```

### Compilar:

```console
$ doas libremakepkg -n x86_64
```

```console
$ doas libremakepkg -n i686
```

### Actualizar jaula

```console
$ doas librechroot update
```

```console
$ doas librechroot -n i686 update
```

### Habilitanado internet durante la compilación

```console
$ doas libremakepkg -N
```

### Subiendo paquete

```console
$ librestage <grupo>
```

### Escribir parche

```console
$ git diff --no-prefix --no-index --no-renames --binary a b > parche.patch
```


> <grupo> repo en donde poner el paquete ej. core, extra, community

```console
$ librerelease
```

### Example config doas

```console
$ doas nano -w /etc/doas.conf
```

```bash
## doas configuration file.
##
## See the doas man page for the details on how to write a configuration file.
##

## Allow members of group wheel to execute any command
# permit :wheel

## Same thing without a password
permit nopass :wheel

## Allow tedu to run procmap as root without a password
#permit nopass tedu as root cmd /usr/sbin/procmap
```

## Configuración chroot para Hyperbola v0.4

Editar `/etc/pacman.d/mirrorlist` del sistema operativo local con las URLs de testing (al menos por ahora hasta fijar libretools)

```console
$ wget https://paste.debian.net/plain/1199102 -O /tmp/pacman.conf
```

```console
$ doas librechroot -C /tmp/pacman.conf make
```

```console
$ wget https://paste.debian.net/plain/1199103 -O /tmp/mirrorlist
```

```console
$ doas cp -av /tmp/mirrorlist /var/lib/archbuild/default/user/etc/pacman.d/mirrorlist
```

```console
$ doas chattr +i /var/lib/archbuild/default/user/etc/pacman.d/mirrorlist
```

```console
$ doas sed -e 's|echo "Server = $host_mirror" >"$working_dir/etc/pacman.d/mirrorlist"|#echo "Server = $host_mirror" >"$working_dir/etc/pacman.d/mirrorlist"|g' -i /usr/lib/libretools/chroot/arch-nspawn
```

```console
$ doas librechroot update
```

Restaurar el archivo `/etc/pacman.d/mirrorlist` de sistema operativo local
